/**
 * @file
 * Rijksvideo accordion Javascript.
 */
((Drupal, $) => {
  Drupal.behaviors.videoAccordion = {
    attach(context) {
      $('.rv-accordion-head', context).each(function () {
        if ($._data(this, 'events') && $._data(this, 'events').click) {
          return;
        }
        $(this).click((event) => {
          const header = $(event.target);
          const ariaStatus = header.attr('aria-expanded');
          header
            .toggleClass('open')
            .attr('aria-expanded', (ariaStatus === 'false') ? 'true' : 'false')
            .next('.rv-accordion-content')
            .slideToggle();
        });
      });
    },
  };
})(Drupal, jQuery);
